Bug 48352

Summary: mod_mime_magic does not detect certain important MIME types
Product: Apache httpd-2 Reporter: Jeremy Wagner-Kaiser <jwagner-kaiser>
Component: mod_mime_magicAssignee: Apache HTTPD Bugs Mailing List <bugs>
Status: RESOLVED FIXED    
Severity: enhancement Keywords: FixedInTrunk, PatchAvailable
Priority: P2    
Version: 2.5-HEAD   
Target Milestone: ---   
Hardware: PC   
OS: Mac OS X 10.4   
Attachments: Patch to magic file

Description Jeremy Wagner-Kaiser 2009-12-08 13:08:38 UTC
Created attachment 24681 [details]
Patch to magic file

Experimentation with mod_mime_magic revealed it does not detect some important MIME types, including PNG and SWF. After adding several extra lines to the default docs/conf/magic, this was rectified.

I have opted to share these additions, as it appears the default conf/magic file that ships with httpd-2 has not been updated in approximately five years.
Comment 1 Stefan Fritsch 2011-10-09 21:53:59 UTC
Added to trunk as r1180725, except for the second PNG signature. Why did you include that? PNG should always begin with 0x89.
Comment 2 Stefan Fritsch 2012-02-26 17:01:21 UTC
fixed in 2.4.1